# Poco

# class RotateByIntervalStrategy

Library: Foundation
Package: Logging
Header: Poco/RotateStrategy.h

## Description

The file is rotated when the log file exceeds a given age.

For this to work reliably across all platforms and file systems (there are severe issues on most platforms finding out the real creation date of a file), the creation date of the file is written into the log file as the first entry.

## Inheritance

Direct Base Classes: RotateStrategy

All Base Classes: RotateStrategy

## Member Summary

Member Functions: mustRotate

Inherited Functions: mustRotate

## Constructors

### RotateByIntervalStrategy

RotateByIntervalStrategy(
const Timespan & span
);

## Destructor

### ~RotateByIntervalStrategy

~RotateByIntervalStrategy();

## Member Functions

### mustRotate

bool mustRotate(
LogFile * pFile
);

See also: Poco::RotateStrategy::mustRotate()